Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.message
Interface MessageCounterMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  MessageCounter

    public interface MessageCounterMBean

extends org.jboss.system.ServiceMBean

MBean to represent simple message counting. Stores the number of succesful and failed messages, the last message time, total bytes and time, and has the ability to reset all counts.

Author:
  tcunning@redhat.com

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`java.lang.Double` | `getAverageSuccessTime()`
`int` | `getFailedBytes()`
`int` | `getFailedMessageCount()`
`java.lang.String` | `getLastFailedMessageDate()`
`java.lang.String` | `getLastSuccessfulMessageDate()`
`int` | `getProcessedBytes()`
`int` | `getSuccessfulMessageCount()`
`int` | `getTotalMessageCount()`
`void` | `resetCounts()`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### getTotalMessageCount

    int getTotalMessageCount()

### getSuccessfulMessageCount

    int getSuccessfulMessageCount()

### getFailedMessageCount

    int getFailedMessageCount()

### getLastSuccessfulMessageDate

    java.lang.String getLastSuccessfulMessageDate()

### getLastFailedMessageDate

    java.lang.String getLastFailedMessageDate()

### getAverageSuccessTime

    java.lang.Double getAverageSuccessTime()

### resetCounts

    void resetCounts()

### getProcessedBytes

    int getProcessedBytes()

### getFailedBytes

    int getFailedBytes()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD